<?xml version="1.0"?>

<xsl:stylesheet xmlns:xsl="http://www.w3.org/TR/WD-xsl">

  <xsl:template match="/">

    <HTML>

    <head>

      <title>
         <xsl:value-of select="NSDetails/SnippetDetails/Name"/>
      </title>
    </head>

      <BODY>
 	   	
	<table border="0" width="100%" bgcolor="#FFFFFF" cellspacing="1" cellpadding="2">
	  <tr><td>

                  <A>
                    <xsl:attribute name="HREF"><xsl:value-of select="NSDetails/SnippetDetails/Path"/></xsl:attribute>
                   <b><font size="4" face="Verdana" color="#FF6600">
  
                    <xsl:value-of select="NSDetails/SnippetDetails/Name"/><xsl:value-of select="NSDetails/SnippetDetails/Extension"/></font></b></A>


          </td></tr>

	  <tr><td>
		  <font size="1" face="MS Sans Serif">To view this document click the link above or double click item in Net Snippets Explorer Bar.</font>
          </td></tr>

	  <tr><td><hr size="1" width="50%" align="left"/></td></tr>
          
          <xsl:apply-templates select="NSDetails/SnippetDetails"/>

	</table>

      </BODY>
    </HTML>

  </xsl:template>

  <xsl:template match="SnippetDetails">
	     <tr><td> 	
             <TABLE BORDER="0" width="100%" cellpadding="2" cellspacing="0">
           
               <tr>
                <TD><font size="1" face="MS Sans Serif"><b>Importance</b></font></TD>
               </tr>
               <tr>
                <TD><font size="1" face="MS Sans Serif"><xsl:value-of select="Importance"/></font></TD>
               </tr>

        	  <tr><td><br/></td></tr>

	       <xsl:if test="Date">
               <tr>
                 <TD><font size="1" face="MS Sans Serif"><b>Created</b></font></TD>
               </tr>
               <tr>
                 <TD><font size="1" face="MS Sans Serif"><xsl:value-of select="Date"/> <xsl:value-of select="Time"/></font></TD>
               </tr>

        	  <tr><td><br/></td></tr>
	       </xsl:if>

	       <xsl:if test="Comments">
               <tr>
                <TD><font size="1" face="MS Sans Serif"><b>Comments</b></font></TD>
               </tr>
               <tr>
                <TD><font size="1" face="MS Sans Serif"><xsl:value-of select="Comments"/></font></TD>
               </tr>
        	  <tr><td><br/></td></tr>
	       </xsl:if>

	       <xsl:if test="Keywords">
               <tr>
                <TD><font size="1" face="MS Sans Serif"><b>Keywords</b></font></TD>
               <tr>
               </tr>
                <TD><font size="1" face="MS Sans Serif"><xsl:value-of select="Keywords"/></font></TD>
               </tr>
        	  <tr><td><br/></td></tr>
	       </xsl:if>


	       <xsl:if test="Biblio">
               <tr>
                  <td><font size="1" face="MS Sans Serif"><b>Bibliography</b></font></td>
               </tr>
	
                  <xsl:apply-templates select="Biblio"/>

	       </xsl:if>


	       <xsl:if test="CFields/CField">

               <tr><td><br/></td></tr>

               <tr>
                  <td><font size="1" face="MS Sans Serif"><b>Custom Information</b></font></td>
               </tr>
	
               <xsl:apply-templates select="CFields/CField"/>
	       </xsl:if>

              </TABLE> 

	     </td></tr>	
  </xsl:template>


  <xsl:template match="Biblio">

     <tr><td>
       <font size="1" face="MS Sans Serif">Type: <b><xsl:value-of select="Type"/></b></font>
     </td></tr>

     <xsl:apply-templates select="Field"/>

     <tr><td></td></tr>

  </xsl:template>


  <xsl:template match="Field">

         <xsl:if test="Value">
         <tr>
           <td><font size="1" face="MS Sans Serif"><xsl:value-of select="Name"/>:
           

        <xsl:choose>
        <xsl:when test="IsURL">
           <A>
              <xsl:attribute name="HREF"><xsl:value-of select="Value"/></xsl:attribute>
              <xsl:value-of select="Value"/>  
           </A>
	</xsl:when> 
                
        <xsl:otherwise>
           <xsl:value-of select="Value"/>
        </xsl:otherwise>
		
        </xsl:choose>
           
	    </font></td>
         </tr>
         </xsl:if>

  </xsl:template>

  <xsl:template match="CField">

         <tr>
           <td><font size="1" face="MS Sans Serif"><xsl:value-of select="Name"/>: <xsl:value-of select="Value"/></font></td>
         </tr>

  </xsl:template>

</xsl:stylesheet>