<?xml version="1.0"?>

<xsl:stylesheet xmlns:xsl="http://www.w3.org/TR/WD-xsl">

  <xsl:template match="/">

    <HTML>

    <head>

      <title>
         <xsl:value-of select="Bibliography/FolderName"/> Bibliography
      </title>
    </head>

      <BODY>
 	   	
	<table border="0" width="100%" bgcolor="#FFFFFF" cellspacing="1" cellpadding="2">
	  <tr><td>

           <table border="0" width="100%" bgcolor="#FFFFFF" cellspacing="0" cellpadding="2">
             
             <tr>    
             <td width="4%" align="middle">

             <IMG>
               <xsl:attribute name="src"><xsl:value-of select="Bibliography/ImageFolder"/>/biblio.gif</xsl:attribute>

               <xsl:attribute name="align">bottom</xsl:attribute>
             </IMG>
             </td> 

           <td width="96%">

           <b><font face="Verdana" size="4">
         
                <xsl:attribute name="color"><xsl:value-of select="Bibliography/Settings/Biblio_Color3"/></xsl:attribute>

             <xsl:value-of select="Bibliography/FolderName"/> Bibliography
           </font></b></td>
           
           </tr>    
	   </table>

	  </td></tr>
	  
          <xsl:apply-templates select="Bibliography/FolderDetails"/>
          <xsl:apply-templates select="Bibliography/SnippetDetails"/>
 

  <tr>
    <td width="100%" bgcolor="#FFFFFF"><font face="Verdana" size="1">Bibliography Report Generated
      by <a href="http://www.netsnippets.com">Net Snippets</a><sup>TM</sup></font></td>
  </tr>

	</table>

      </BODY>
    </HTML>

  </xsl:template>

  <xsl:template match="FolderDetails">


                <tr><td>
                <IMG>
                  <xsl:attribute name="src"><xsl:value-of select="/Bibliography/ImageFolder"/>/folder.gif</xsl:attribute>

                  <xsl:attribute name="align">absmiddle</xsl:attribute>

                </IMG>

                <b><font face="Verdana" size="2"><xsl:value-of select="Name"/></font></b><br/>
                <font face="Verdana" size="2"><xsl:value-of select="Description"/></font>

                </td></tr>

                <xsl:apply-templates select="FolderDetails"/>
                <xsl:apply-templates select="SnippetDetails"/>

        	<p/>

  </xsl:template>


  <xsl:template match="SnippetDetails">
	     <tr><td> 	
             <TABLE BORDER="0" width="100%" cellpadding="2" cellspacing="0" style="border-style: solid; border-color: #C0C0C0; border-width: 1">

	     <xsl:attribute name="bgcolor"><xsl:value-of select="/Bibliography/Settings/Biblio_Color2"/></xsl:attribute>
     
	      <xsl:if test="/Bibliography/Settings/Biblio_Name">

	      <tr>
              <td width="100%" colspan="2">

                <xsl:attribute name="bgcolor"><xsl:value-of select="/Bibliography/Settings/Biblio_Color1"/></xsl:attribute>

                <IMG>
                  <xsl:attribute name="src"><xsl:value-of select="/Bibliography/ImageFolder"/>/snippet.gif</xsl:attribute>
                  <xsl:attribute name="align">absmiddle</xsl:attribute>
                </IMG>
                  
                <b> 

	        <xsl:choose>
                <xsl:when test="/Bibliography/Settings/Biblio_LinkSnippet">
                  <A>
                    <xsl:attribute name="HREF"><xsl:value-of select="Path"/></xsl:attribute>
                   <font size="2" face="Verdana">

	     <xsl:attribute name="color"><xsl:value-of select="/Bibliography/Settings/Biblio_Color3"/></xsl:attribute>
   
                    <xsl:value-of select="Name"/><xsl:value-of select="Extension"/> 
                   </font> 
                  </A>
		</xsl:when> 
                
	        <xsl:otherwise>
                   <font size="2" face="Verdana">

	     <xsl:attribute name="color"><xsl:value-of select="/Bibliography/Settings/Biblio_Color3"/></xsl:attribute>

                    <xsl:value-of select="Name"/><xsl:value-of select="Extension"/>    
                   </font> 
                </xsl:otherwise>
		
		</xsl:choose>

		              
		
                </b></td>

              </tr>

	      </xsl:if>

	      <xsl:if test="/Bibliography/Settings/Biblio_Title">
	      <xsl:if test="OrgTitle">
               <tr>
                 <TD width="10%"><font size="2" face="Verdana">Title:</font></TD>
                 <TD><font size="2" face="Verdana"><xsl:value-of select="OrgTitle"/></font></TD>
               </tr>
	      </xsl:if>
	      </xsl:if>
	
	      <xsl:if test="/Bibliography/Settings/Biblio_Importance">
               <tr>
                <TD width="10%"><font size="2" face="Verdana">Importance:</font></TD>
                <TD><font size="2" face="Verdana"><xsl:value-of select="Importance"/></font></TD>
               </tr>
	      </xsl:if>

	      <xsl:if test="/Bibliography/Settings/Biblio_Date">
               <tr>
                 <TD width="10%"><font size="2" face="Verdana">Created:</font></TD>
                 <TD><font size="2" face="Verdana"><xsl:value-of select="Date"/> <xsl:value-of select="Time"/></font></TD>
               </tr>
	      </xsl:if>

	      <xsl:if test="/Bibliography/Settings/Biblio_Comments">
	      <xsl:if test="Comments">
               <tr>
                <TD width="10%" valign="top"><font size="2" face="Verdana">Comments:</font></TD>
                <TD><font size="2" face="Verdana"><xsl:value-of select="Comments"/></font></TD>
               </tr>
	      </xsl:if>
	      </xsl:if>

	      <xsl:if test="/Bibliography/Settings/Biblio_Keywords">
	      <xsl:if test="Keywords">
               <tr>
                <TD width="10%"><font size="2" face="Verdana">Keywords:</font></TD>
                <TD><font size="2" face="Verdana"><xsl:value-of select="Keywords"/></font></TD>
               </tr>
	      </xsl:if>
	      </xsl:if>

    	       <xsl:if test="/Bibliography/Settings/Biblio_CustomFields">
                 <xsl:apply-templates select="CFields/CField"/>
	       </xsl:if>

    	       <xsl:if test="/Bibliography/Settings/Biblio_Biblio">
                 <xsl:apply-templates select="Biblio"/>
	       </xsl:if>

              </TABLE> 

	     </td></tr>	
  </xsl:template>


  <xsl:template match="Biblio">

     <xsl:apply-templates select="Field"/>

  </xsl:template>


  <xsl:template match="Field">

         <tr>
           <td width="10%"><font size="2" face="Verdana"><xsl:value-of select="Name"/>:</font></td>
           <td><font size="2" face="Verdana">           

        <xsl:choose>
        <xsl:when test="IsURL">
           <A>
              <xsl:attribute name="HREF"><xsl:value-of select="Value"/></xsl:attribute>
              <xsl:value-of select="Value"/>  
           </A>
	</xsl:when> 
                
        <xsl:otherwise>
           <xsl:value-of select="Value"/>
        </xsl:otherwise>
		
        </xsl:choose>
           
	    </font></td>
         </tr>

  </xsl:template>

  <xsl:template match="CField">


         <tr>
           <TD width="10%">
           
           <font size="2" face="Verdana"><xsl:value-of select="Name"/>:</font></TD>
           <TD><font size="2" face="Verdana"><xsl:value-of select="Value"/></font></TD>
         </tr>

  </xsl:template>



</xsl:stylesheet>