<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/TR/WD-xsl">

  <xsl:template match="/">

    <HTML>
      <BODY>
 	   	
	<table border="0" width="100%" bgcolor="#FFFFFF" cellspacing="1" cellpadding="2">
	  <tr><td>


           <table border="0" width="100%" bgcolor="#FFFFFF" cellspacing="0" cellpadding="2">

             <tr>    
             <td width="4%" align="middle">

           <IMG>
             <xsl:attribute name="src"><xsl:value-of select="SearchResults/ImageFolder"/>/search.gif</xsl:attribute>

             <xsl:attribute name="align">absmiddle</xsl:attribute>
           </IMG>
  
             </td> 

           <td width="96%">

           <b><font face="Verdana" size="4">
             <xsl:value-of select="SearchResults/Title"/>
           </font></b></td>

           </tr>    
	   </table>

	  </td></tr>

          <xsl:apply-templates select="SearchResults/SnippetDetails"/>

  <tr>
    <td width="100%" bgcolor="#FFFFFF"><font face="Verdana" size="1">Search Results Generated 
by <a href="http://www.netsnippets.com">Net Snippets</a><sup>TM</sup></font></td>
  </tr>

	</table>

      </BODY>
    </HTML>

  </xsl:template>

  <xsl:template match="SnippetDetails">
	     <tr><td> 	
             <TABLE BORDER="0" width="100%" cellpadding="2" cellspacing="0" bgcolor="#EEEEEE" style="border-style: solid; border-color: #C0C0C0; border-width: 1">

	      <tr>
              <td width="100%" colspan="2" bgcolor="#E0E0E0">

                <IMG>
                  <xsl:attribute name="src"><xsl:value-of select="/SearchResults/ImageFolder"/>/snippet.gif</xsl:attribute>
                  <xsl:attribute name="align">absmiddle</xsl:attribute>
                </IMG>
                  
                 

                  <A>
                    <xsl:attribute name="HREF"><xsl:value-of select="Path"/></xsl:attribute>
                   <font size="2" face="Verdana">

  
	        <xsl:choose>
                <xsl:when test="Name/@found">
		    
                      <xsl:value-of select="Name/BeforeMatch"/><b><xsl:value-of select="Name/Match"/></b><xsl:value-of select="Name/AfterMatch"/>
                            
		</xsl:when> 
	        <xsl:otherwise>
		    <xsl:value-of select="Name"/>

                </xsl:otherwise>
		</xsl:choose>

                   </font> 
                  </A>
                
		
                </td>

              </tr>

               <tr>
                <TD width="10%"><font size="2" face="Verdana">Importance:</font></TD>
                <TD><font size="2" face="Verdana"><xsl:value-of select="Importance"/></font></TD>
               </tr>

               <tr>
                 <TD width="10%"><font size="2" face="Verdana">Created:</font></TD>
                 <TD><font size="2" face="Verdana"><xsl:value-of select="Date"/><xsl:value-of select="Time"/></font></TD>
               </tr>

	       <xsl:if test="Comments">
                 <tr>
                   <TD width="10%" valign="top"><font size="2" face="Verdana">Comments:</font></TD>

                   <TD><font size="2" face="Verdana">

	        <xsl:choose>
                <xsl:when test="Comments/@found">
                    <xsl:value-of select="Comments/BeforeMatch"/><b><xsl:value-of select="Comments/Match"/></b><xsl:value-of select="Comments/AfterMatch"/>
                            
		</xsl:when> 
	        <xsl:otherwise>
		    <xsl:value-of select="Comments"/>

                </xsl:otherwise>
		</xsl:choose>
		 </font></TD>
                 </tr>
	       </xsl:if>
	
	       <xsl:if test="Keywords">

               <tr>
                <TD width="10%"><font size="2" face="Verdana">Keywords:</font></TD>

                <TD>
                <font size="2" face="Verdana">
	        <xsl:choose>
                <xsl:when test="Keywords/@found">
		    
                      <xsl:value-of select="Keywords/BeforeMatch"/><b><xsl:value-of select="Keywords/Match"/></b><xsl:value-of select="Keywords/AfterMatch"/>
                            
		</xsl:when> 
	        <xsl:otherwise>
		    <xsl:value-of select="Keywords"/>

                </xsl:otherwise>
		</xsl:choose>
 
                </font>
		</TD>

               </tr>

	       </xsl:if>

               <xsl:apply-templates select="CFields/CField"/>
               <xsl:apply-templates select="Biblio"/>

              </TABLE> 

	     </td></tr>	

  </xsl:template>

  <xsl:template match="Biblio">
     <xsl:apply-templates select="Field"/>

  </xsl:template>

  <xsl:template match="Field">

         <tr>
           <TD width="10%">
           
           <font size="2" face="Verdana"><xsl:value-of select="Name"/>:</font></TD>
           <TD><font size="2" face="Verdana">


        <xsl:choose>
        <xsl:when test="IsURL">


           <A>
              <xsl:attribute name="HREF"><xsl:value-of select="Value"/></xsl:attribute>

	        <xsl:choose>
                <xsl:when test="./@found">
	              <xsl:value-of select="./BeforeMatch"/><b><xsl:value-of select="./Match"/></b><xsl:value-of select="./AfterMatch"/>
                            
		</xsl:when> 
	        <xsl:otherwise>
                      <xsl:value-of select="Value"/>  

                </xsl:otherwise>
		</xsl:choose>
           </A>


	</xsl:when> 
                
        <xsl:otherwise>

	        <xsl:choose>
                <xsl:when test="./@found">
		    
	              <xsl:value-of select="./BeforeMatch"/><b><xsl:value-of select="./Match"/></b><xsl:value-of select="./AfterMatch"/>
                            
		</xsl:when> 
	        <xsl:otherwise>
                   <xsl:value-of select="Value"/>  

                </xsl:otherwise>
		</xsl:choose>


        </xsl:otherwise>
		
        </xsl:choose>

           </font></TD>
         </tr>


  </xsl:template>

  <xsl:template match="CField">

         <tr>
           <TD width="10%">
           
           <font size="2" face="Verdana"><xsl:value-of select="Name"/>:</font></TD>
           <TD><font size="2" face="Verdana">

	        <xsl:choose>
                <xsl:when test="./@found">
		    
	              <xsl:value-of select="./BeforeMatch"/><b><xsl:value-of select="./Match"/></b><xsl:value-of select="./AfterMatch"/>
                            
		</xsl:when> 
	        <xsl:otherwise>
                   <xsl:value-of select="Value"/>  

                </xsl:otherwise>
		</xsl:choose>

           </font></TD>
         </tr>


  </xsl:template>

</xsl:stylesheet>